package com.ruoyi.iit.mapper;

import com.ruoyi.iit.domain.IitMyselfFile;

import java.util.List;

/**
 * 我的文件Mapper接口
 *
 * @author Hao Li
 * @date 2025-04-12
 */
public interface IitMyselfFileMapper {
    /**
     * 查询我的文件
     *
     * @param id 我的文件主键
     * @return 我的文件
     */
    public IitMyselfFile selectIitMyselfFileById(Long id);

    /**
     * 查询我的文件列表
     *
     * @param iitMyselfFile 我的文件
     * @return 我的文件集合
     */
    public List<IitMyselfFile> selectIitMyselfFileList(IitMyselfFile iitMyselfFile);

    /**
     * 新增我的文件
     *
     * @param iitMyselfFile 我的文件
     * @return 结果
     */
    public int insertIitMyselfFile(IitMyselfFile iitMyselfFile);

    /**
     * 修改我的文件
     *
     * @param iitMyselfFile 我的文件
     * @return 结果
     */
    public int updateIitMyselfFile(IitMyselfFile iitMyselfFile);

    /**
     * 删除我的文件
     *
     * @param id 我的文件主键
     * @return 结果
     */
    public int deleteIitMyselfFileById(Long id);

    /**
     * 批量删除我的文件
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIitMyselfFileByIds(Long[] ids);
}
